import { KeyPairIdentity } from './KeyPairIdentity';
import { SignatureType } from '@streamr/trackerless-network';
import { StrictStreamrClientConfig } from '../Config';
/**
 * An identity that uses a quantum-resistant ML-DSA-87 key pair to sign messages.
 */
export declare class MLDSAKeyPairIdentity extends KeyPairIdentity {
    assertKeyPairIsValid(): void;
    getSignatureType(): SignatureType;
    getExpectedPublicKeyLength(): number;
    getExpectedPrivateKeyLength(): number;
    createMessageSignature(payload: Uint8Array): Promise<Uint8Array>;
    static fromConfig(config: Pick<StrictStreamrClientConfig, 'auth'>): MLDSAKeyPairIdentity;
    static generate(): MLDSAKeyPairIdentity;
}
